RABBITMQ-SERVER(1)

NAME
rabbitmq-server - start RabbitMQ AMQP server

SYNOPSIS

rabbitmq-server [-detached]

DESCRIPTION

RabbitMQ is an implementation of AMQP, the emerging standard for high performance enterprise messaging. The RabbitMQ server is a robust and scalable implementation of an AMQP broker.

Running rabbitmq-server in the foreground displays a banner message, and reports on progress in the startup sequence, concluding with the message "broker running", indicating that the RabbitMQ broker has been started successfully. To shut down the server, just terminate the process or use rabbitmqctl(1).

ENVIRONMENT

RABBITMQ_MNESIA_BASE
    Defaults to /var/lib/rabbitmq/mnesia. Set this to the directory where Mnesia database files should be placed.

RABBITMQ_LOG_BASE
    Defaults to /var/log/rabbitmq. Log files generated by the server will be placed in this directory.

RABBITMQ_NODENAME
    Defaults to rabbit. This can be useful if you want to run more than one node per machine - RABBITMQ_NODENAME should be unique per erlang-node-and-machine combination. See the clustering on a single machine guide: http://www.rabbitmq.com/clustering.html#single-machine for details.

RABBITMQ_NODE_IP_ADDRESS
    By default RabbitMQ will bind to all interfaces, on IPv4 and IPv6 if available. Set this if you only want to bind to one network interface or address family.

RABBITMQ_NODE_PORT
    Defaults to 5672.

OPTIONS

-detached
    Start the server process in the background. Note that this will cause the pid not to be written to the pid file.

SEE ALSO

 rabbitmq-env.conf(5) rabbitmqctl(1)

EXAMPLES

rabbitmq-server -detached
    Runs RabbitMQ AMQP server in the background.